Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226166 - Merge Review: mtx
Summary: Merge Review: mtx
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:43 UTC by Nobody's working on this, feel free to take it
Modified: 2009-07-17 19:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-22 17:58:46 UTC
tibbs: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:43:55 UTC
Fedora Merge Review: mtx

http://cvs.fedora.redhat.com/viewcvs/devel/mtx/
Initial Owner: jnovy@redhat.com

Comment 1 Radek Brich 2007-09-05 11:02:03 UTC
Package Change Request
======================
Package Name: mtx
Updated Fedora Owners: rbrich@redhat.com


Comment 2 Radek Brich 2007-09-05 13:09:49 UTC
canceling request, it's now ok (via pkgdb)

Comment 3 Orcan Ogetbil 2008-11-13 22:13:11 UTC
I made a full review on this package. Here are my notes:

* rpmlint says:
   mtx.x86_64: W: spurious-executable-perm /usr/share/doc/mtx-1.3.12/contrib/config_sgen_solaris.sh
   mtx.x86_64: W: spurious-executable-perm /usr/share/doc/mtx-1.3.12/contrib/mtx-changer
Please fix these. Actually, most of the contents of the contrib directory don't belong to %doc. Also this directory contains .tar.gz files. Those should be extracted and put in the appropriate places, and if necessary, be published as subpackages.

* We prefer %defattr (-,root,root,-)

* The default prefix is set as /usr/local in the configure script. And the default libdir is the hardcoded /usr/lib. I'm not sure if these have any effect during runtime. Please check and fix if necessary.

* Most of the scripts in the contrib directory (even those in the tarballs) point to /usr/local, /usr/local/sbin too. Please fix those.

* It would be more consistent with other macros you use if you prefer %{optflags} instead of $RPM_OPT_FLAGS

* Parallel make must be supported whenever possible. If it is not supported, this should be noted in the SPEC file as a comment.

Comment 4 Orcan Ogetbil 2008-11-13 22:15:55 UTC
Added Dan to CC since he made the last known update on the SPEC file. Sorry if this was not desired.

Comment 5 Orcan Ogetbil 2008-12-21 10:13:28 UTC
ping?

Comment 6 Dan Horák 2008-12-21 13:55:15 UTC
Pong. Looks like I missed the fact that you have assigned yourself as the reviewer. The spec needs a little polishing, so please stay tuned.

Comment 7 Dan Horák 2008-12-21 17:29:57 UTC
updated spec:
http://cvs.fedoraproject.org/viewvc/rpms/mtx/devel/mtx.spec?revision=1.27

koji build including source and binary rpms:
https://koji.fedoraproject.org/koji/taskinfo?taskID=1014121

Comment 8 Orcan Ogetbil 2008-12-21 18:09:50 UTC
Thanks. It looks better. 

But I still don't think the contrib directory belongs to %doc. I think it should go directly to %{datadir}/%{name} and the tarballs inside the contrib/ should be extracted.

Comment 9 Dan Horák 2008-12-22 16:54:09 UTC
In my opinion using %doc for the content of the contrib directory is appropriate. Here is my reasoning:
- %{datadir}/%{name} is being used for data (pictures, ui definition, ...) of the applications in the package (utils from contrib are not "data", but executables), FHS defines /usr/share as "architecture-independent data"
- both we and upstream don't provide any support for the utils, using %{datadir}/%{name} can imply that support is provided
- there are other packages that store "contrib" as %doc exactly in this sense

Comment 10 Orcan Ogetbil 2008-12-22 17:58:46 UTC
I respect your decision. We disagree at this point but this can't be regarded as a blocker.

-------------------------------------------
This Merge Review (mtx) is APPROVED by oget
-------------------------------------------

Closing the bug now.

Comment 11 Mamoru TASAKA 2008-12-22 18:42:28 UTC
Just more comments:

* export CFLAGS="$RPM_OPT_FLAGS" should not be needed.
  Please check what %configure actually does by
  $ rpm --eval %configure

* Please avoid to use %makeinstall unless impossible
  https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

Comment 12 Dan Horák 2008-12-22 20:07:48 UTC
(In reply to comment #11)
> Just more comments:
> 
> * export CFLAGS="$RPM_OPT_FLAGS" should not be needed.
>   Please check what %configure actually does by
>   $ rpm --eval %configure

the "export" line will be removed in next release

> 
> * Please avoid to use %makeinstall unless impossible
>  
> https://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used

the hand-written Makefiles doesn't support DESTDIR, so use of %makeinstall is needed, patch to correct the situation has been already submitted upstream

Comment 13 Jason Tibbitts 2009-07-17 19:16:43 UTC
Setting the fedora-review flag to '+' because that seems to have been missed.


Note You need to log in before you can comment on or make changes to this bug.